searchFiles
Search files
GET
/v1/files/searchAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
x-integration-name?stringIntegration name
x-user-id?stringUser Id
x-user-role?stringUser Role
Query parameters
tags?anyFilter files by tags. Tags should be passed as a URL-encoded JSON object of key-value pairs that must be present in the tags of a file. An array of multiple string values for the same key are treated as an OR condition. To exclude a value, express it as an object with a nested `not` key with the string or string-array value(s) to exclude.
querystringQuery expressed in natural language to retrieve matching text passages within all indexed files in the bot using semantical search.
contextDepth?integerThe number of neighbor passages to prepend and append as surrounding context to the content of each returned passage (default: 1, minimum: 0, maximum: 10).
limit?integerThe maximum number of passages to return.
consolidate?booleanConsolidate the results by merging matching passages from the same file into a single passage per file. The consolidated passage will include the matching passages ordered by their original position in the file (rather than by relevance score) and include hierarchical context such as the title/subtitle to which they belong.
includeBreadcrumb?booleanPrepend a breadcrumb to each passage, containing the title and subtitle(s) the passage belongs to in the file. This option is ignored when the `consolidate` option is set to `true`.
withContext?booleanInclude the surrounding context with each passage in the `context` property of each passage. Not supported when `consolidate` is set to `true`.
Response
Returns the text passages within all indexed files that matched the query.
passagesobject[]